=== debian/changelog ===
ros-kinetic-ati-ft-sensor (0.2.0-0xenial) xenial; urgency=high

  * modified build option and dependencies configuration
  * modified cmake & package setting for yaml-cpp
  * changed depend pkg for catkin dependencies and package.xml format to v2
  * changed include path for dependencies and license to Apache v2
  * Contributors: SCH, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 26 Mar 2018 15:00:00 -0000

ros-kinetic-ati-ft-sensor (0.1.3-0xenial) xenial; urgency=high

  * updated cmake file for ros install
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-kinetic-ati-ft-sensor (0.1.2-0xenial) xenial; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-kinetic-ati-ft-sensor (0.1.1-0xenial) xenial; urgency=high

  * none

 -- pyo <pyo@robotis.com>  Thu, 18 Aug 2016 15:00:00 -0000

ros-kinetic-ati-ft-sensor (0.1.0-0xenial) xenial; urgency=high

  * first public release for Kinetic
  * modified package information for release
  * ROS C++ coding style is applied
  * change namespace of ati_ft_sensor package
  * modified file name for ROS C++ coding style
  * ati_ft_sensor/ATIForceTorqueSensorTWE.h : RobotisMath.h -> robotis_math.h
  * ROS c++ coding stylie is applying, first thormang3_kinematics_dynamics complete
  * Contributors: Jay Song, Zerom, SCH, Pyo

 -- pyo <pyo@robotis.com>  Wed, 17 Aug 2016 15:00:00 -0000
