=== debian/control ===
Source: ros-kinetic-ati-ft-sensor
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, libyaml-cpp-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-geometry-msgs, ros-kinetic-robotis-math, ros-kinetic-roscpp, ros-kinetic-roslib
Homepage: http://wiki.ros.org/ati_ft_sensor
Standards-Version: 3.9.2

Package: ros-kinetic-ati-ft-sensor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, libyaml-cpp-dev, ros-kinetic-cmake-modules, ros-kinetic-geometry-msgs, ros-kinetic-robotis-math, ros-kinetic-roscpp, ros-kinetic-roslib
Description: This package is a library for using ATI's transducer.
 This package describes basic functions for sensing force and torque. We provide some functions for converting and scaling.
